Subject: bug#46153: recentf should keep files in most recently used order

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 29 Jan 2021 06:47:36 +0100

reporter <[email-masked]> writes:

> Apparently, this is all what's needed:
>
>   (add-hook 'buffer-list-update-hook 'recentf-track-opened-file)
>
> So buffer-list-update-hook should be added to recentf-used-hooks
> in recentf.el

Some people would want the current behaviour, so I don't think doing
this by default would be the right thing to do, but I can certainly see
people who'd prefer recentf to work in this way.

So I've mentioned doing this `add-hook' in the recentf-mode doc string
in Emacs 28.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no